<?php
    session_start();
    $nom = $_SESSION['nom_admin'];
    $iduser = $_SESSION['id_user'];
    require ("./Funciones/funciones.php");
    $conexion = conecta();
    
    $id = $_GET['id'];
    $carro = $_POST['carro'];

    $sql = "SELECT * FROM pedidos_items where idpedido = 0 and idusuario = $iduser";
    $res = mysqli_query($conexion,$sql);
    $num = mysqli_num_rows($res);
    for($i=0;$i<$num;$i++){
        $idprod = mysql_result($res, $i,"idproducto");
        $cant = mysql_result($res,$i,"cantidad");

        $sql = "SELECT * FROM productos where idprod = $idprod";
        $res = mysqli_query($conexion,$sql);
        $stock = mysql_result($res, $i,"stock");
        $exist = $stock - $cant;
        $sqlb = "UPDATE productos SET stock = $exist where idprod = $idprod  ";
        $res = mysqli_query($conexion,$sqlb);
    }
    $sqla = "INSERT INTO pedidos VALUES (0, CURDATE(),$carro,'$nom',1 )";
    $resa = mysqli_query($conexion,$sqla);

    $sqlx = "SELECT * FROM pedidos where usuario = '$nom' and fecha = CURDATE() order by idpedidos desc limit 1";
        $resx = mysqli_query($conexion,$sqlx);
        $idpedido = mysql_result($resx, 0, "idpedidos");

    $sql= "UPDATE pedidos_items SET idpedido=$idpedido WHERE idpedido =0 AND idusuario =$iduser";
    $res = mysqli_query($conexion,$sql);
    $num = mysqli_num_rows($res);

        if (headers_sent()) {
        die("La redireccion fallo. Porfavor da click en el siguiente enlace para continuar: <a href=\"catalogo.php\">Lista de administradores</a>");
        }
        else{
        exit(header("Location: catalogo.php"));
    }
    
   
?>
